Subject: Re: [PATCH net-next 1/9] octeon_ep: wait for firmware ready

From: Leon Romanovsky <[email-masked]>
Date: Mon, 7 Nov 2022 10:18:53 +0200

On Sun, Nov 06, 2022 at 11:25:15PM -0800, Veerasenareddy Burru wrote:
> Make driver initialize the device only after firmware is ready
>  - add async device setup routine.
>  - poll firmware status register.
>  - once firmware is ready, call async device setup routine.

Please don't do it. It is extremely hard to do it right. The proposed
code that has combination of atomics used as a locks together with absence
of proper locking from PCI and driver cores supports my claim.

Thanks